#ifndef __PROGECTDB_H__
#define __PROGECTDB_H__

#include "progect.h"

// DB
Err     AddRecord(DmOpenRef dbP, TaskTypePtr task, UInt16 *index) 
	TASKSECT;
Err     AddRecordSub(DmOpenRef dbP, TaskTypePtr task, UInt16 *index) 
	TASKSECT;
Err     CreateDB(const char *nameP) 
	TASKSECT;
Err     RemoveDB(const char *nameP) 
	TASKSECT;
Err     OpenDB(const char* nameP, DmOpenRef *dbP) 
	TASKSECT;
Err     OpenDBByID(UInt16 cardNo, LocalID dbID, DmOpenRef* dbP)
	TASKSECT;
Err     CloseDB(DmOpenRef dbP) 
	TASKSECT;
Err     RenameDB(Char* oldName, Char* newName) 
	TASKSECT;
Boolean LoadDBPrefs(DmOpenRef dbP) 
	TASKSECT;
void    SaveDBPrefs(DmOpenRef dbP) 
	TASKSECT;
void    SaveAppPrefs(Boolean saved) 
	TASKSECT;
Boolean LoadAppPrefs(Boolean saved) 
	TASKSECT;
void    ConvertDB(UInt8 format) 
	TASKSECT;
void    Prepend(Char* name)
	TASKSECT;
Err    DuplicateDB(Char* src, Char* dbname)
	TASKSECT;
pgErr   OpenClipboard(void)
	TASKSECT;
pgErr   CloseClipboard(void)
	TASKSECT;
pgErr   NewClipboard(void)
	TASKSECT;

#endif
