/* -*-Mode:C; tab-width:4; indent-tabs-mode:t; c-file-style:"bsd";-*- */
// $Id: doc.h,v 1.4 2000/10/22 18:35:27 burgbach Exp $
//
//

#if !defined(__H_DOC__)
#define __H_DOC__


// DOC header format
//  NOTE: import from zDoc
typedef struct
{
	UInt16 version;  // 1:uncompressed 2:compressed
	UInt16 crap;     // unknown
	UInt32 uncompsizeoftext; // uncompressed total length
	UInt16 count;    // num records
	UInt16 uncomplength; // uncompressed record length
	UInt32 morecrap; // unknown
} DocInfo_t;


enum {
	DOC_UNCOMPRESSED = 1,
	DOC_COMPRESSED = 2,
};
#define DocCreatorID    'REAd'
#define DocTypeID   'TEXt'


typedef struct
{
	char *szDescPrefix;
	char *szDescSuffix;
	char *szLinePrefix;
} ExportHeaddings_t;

#define EXPORT_NUMLEVELS 12
ExportHeaddings_t ExportHeaddings[EXPORT_NUMLEVELS];

void ExportToDoc(UInt16 cardNo, char const* name, UInt16 first, UInt16 last);

#endif
