// forms
#define FrmMain     1000
#define FrmTaskEdit 1001
#define FrmProjectList 1002
#define FrmChooseName 1003
#define FrmProjectProperties 1004
#define FrmNoteEdit 1005
#define FrmSubOrAll 1006
#define FrmFlat 1007
#define FrmFlatFilter 1008
#define FrmDisplayProperties 1009
#define FrmDirectLink 1010
#define FrmTaskDefaults 1011
#define FrmMemoExportProperties 1012
#define FrmIconSelect 1013
#define FrmSetReset 1014

// tables
#define ProjectTable 1000
#define IconSelectTable 1001
#define Scr_SelectIcon 1002


// lists
#define Lst_Project_List 1000
#define Lst_Percent 1001
#define Lst_Completed 1002
#define Lst_Priority 1003
#define Lst_Date 1004
#define Pop_Due_Date 1005
#define Pop_PriorityToBold 1006
#define List_PriorityToBold 1007
#define Pop_DaysToBold 1008
#define List_DaysToBold 1009
#define Lst_Link_Type 1010
#define Pop_Link_Type 1011
#define Lst_Category 1012
#define Pop_Category 1013

// menus
#define FrmMainMainMenu 1000
#define MenuProjectList 1001
#define MenuNoteEdit 1002
#define MenuFlat 1003
#define MenuDisplayPreferences 1004

// menu items
#define MenuMainReInit 1000
#define MenuMainNewTask 1001
#define MenuMainNewSubTask 1002
#define MenuMainMoveTask 1003
#define MenuMainMoveSubTask 1004
#define MenuMainExpandAll 1005
#define MenuMainCollapseAll 1006
#define MenuMainExpandOne 1007
#define MenuMainCollapseOne 1008
#define MenuMainPreferences 1009
#define MenuMainClose 1010
#define MenuMainViewSub 1011
#define MenuMainViewAll 1012
#define MenuMainDeleteTask 1013
#define MenuProjectListAbout 1014
#define MenuProjectListDuplicate 1015
#define MenuEditUndo 1016
#define MenuEditCut 1017
#define MenuEditCopy 1018
#define MenuEditPaste 1019
#define MenuEditSelectAll 1020
#define MenuEditKeyboard 1021
#define MenuEditGraffiti 1022
#define MenuMainDeleteDoneTask 1023
#define MenuMainDeleteChildren 1024
#define MenuMainRepair 1025
#define MenuMainSyncToDo 1026
#define MenuEditCopyChildren 1027
#define MenuEditPasteAsChildren 1028
#define MenuMainFlatFilter 1029
#define MenuMainDisplayPreferences 1030
#define MenuNewLink 1031
#define MenuMainTaskDefaults 1032
#define MenuMainMemoExport 1033
#define MenuPublishLinkMaster 1034
#define MenuLinkViaLinkMaster 1035
#define MenuRemoveLinkViaLinkMaster 1036
#define MenuEditAddNote 1037
#define MenuMainTop 1038
#define MenuMainBottom 1039
#define MenuMainResetDates 1040
#define MenuLinkAll 1041
#define MenuUnlinkAll 1042

// alerts
#define AltConfirmDelete 1000
#define AltEmpty 1001
#define ProgectAbout 1002
#define AltAlreadyExists 1003
#define AltConfirmCustom 1004

// fields
#define TaskDesc    1000
#define Fld_Project_Name 1001
#define TaskNote 1002

// strings
#define HlpSubOrAll 1000
#define StrThisNote 1001
#define StrAllTasks 1002
#define StrAllTasksInThisSubview 1003
#define StrAllChildrenOfSelectedTask 1004
#define StrTaskAndChildren 1005
#define StrAllDoneTasks 1006
#define StrAllDoneTasksInThisView 1007
#define StrSelectTask 1008
#define StrLinkMasterIsNotAvailable 1009
#define StrLinkInfoNotFound 1010
#define StrNoMemorySpaces 1011
#define StrIconButton 1012
#define StrFindHeader 1013
#define StrDocAlreadyExist 1014
#define StrPrefsHasBeenDeleted 1015
#define StrNewTask 1016
#define StrActionDelete 1017
#define StrActionResetDates 1018
#define StrActionModify 1019
#define StrLinkNotValid 1020

// check boxes
#define Chk_Prop_Hide 1400
#define Chk_Prop_Display_Due_Dates 1401
#define Chk_Prop_Display_Priorities 1402
#define Chk_Prop_Save_DB 1403
#define Chk_Prop_Delete_Warn 1404
#define Chk_Prop_Display_Year 1405
#define Chk_Prop_Father_Status 1406
#define Chk_Prop_Auto_Sync_ToDo 1407
#define Chk_Prop_Comp_Date 1408
#define Chk_Edit_Action 3003
#define Chk_Edit_ToDo_Link 3004
#define Chk_Flat_Hide 4000
#define Chk_Flat_Dated 4001
#define Chk_StrikeDoneTasks 4002
#define Chk_HideDoneProgress 4003
#define Chk_HideAllProgress 4004
#define Chk_Exp_Done 1200
#define Chk_Exp_Due_Dates 1201
#define Chk_Exp_Priorities 1202
#define Chk_Exp_Progress 1203
#define Chk_Exp_Flat 1204
#define Chk_Exp_Note 1205
#define Chk_Reset_Dates 1500
#define Chk_Reset_Progress 1501
#define Chk_Reset_Priority 1502
#define Chk_ToDo_Unlink 1503
#define Chk_ToDo_Link 1504

// buttons
#define Btn_Choose_Name_Ok 2701
#define Btn_Choose_Name_Cancel 2702
#define Btn_List_Open    2803
#define Btn_List_New     2804
#define Btn_List_Del     2805
#define Btn_List_Rename  2806
#define Btn_Prop_Ok 2400
#define Btn_Prop_Cancel 2401
#define Btn_Cmd     2901
#define Btn_Left    2901
#define Btn_Right   2902
#define Btn_Up      2903
#define Btn_Down    2904
#define Btn_Edit    2905
#define Btn_New     2906
#define Btn_Del     2907
#define Btn_Sub     2908
#define Btn_Sub_Up  2909
#define Btn_Done    2910
#define Btn_Scroll_Up 2911
#define Btn_Scroll_Down 2912
#define Btn_Main_Hierarchical 2913
#define Btn_Main_Flat 2914
#define Btn_Edit_Ok 3001
#define Btn_Edit_Cancel 3002
#define Btn_Edit_Date   3004
#define Btn_Publish_ToDo 3005
#define Btn_Edit_Note 3006
#define Btn_Priority_X 3101
#define Btn_Priority_1 3101
#define Btn_Priority_2 3102
#define Btn_Priority_3 3103
#define Btn_Priority_4 3104
#define Btn_Priority_5 3105
#define Btn_Priority_No 3106
#define Btn_Note_Ok 3200
#define Btn_Note_Cancel 3201
#define Btn_Note_Delete 3202
#define Btn_Sub_All 3301
#define Btn_Sub_Sub 3302
#define Btn_Sub_Cancel 3303
#define Btn_And 3400
#define Btn_Or 3401
#define Btn_Ok 3402
#define Btn_Cancel 3403
#define Btn_No_Date 3500
#define Btn_Date 3501
#define Btn_Not_Used 3502
#define Btn_Min 3503
#define Btn_Only 3504
#define Btn_No_Sort 3505
#define Btn_Date_Sort 3506
#define Btn_Priority_Sort 3507
#define Btn_SelectIcon 3508
#define Btn_Remove 3509
#define Btn_ToMemo 3510
#define Btn_ToDoc 3511

// scrolls
#define Scr_Note_Edit 1000

// popup
#define Sel_Link_To 1000

// category
#define InitialCategory 1000
